GET api/InternalApp/getProductionData
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
Collection of TaskDataViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | integer |
None. |
|
| sortIndex | integer |
None. |
|
| label | string |
None. |
|
| incoming | boolean |
None. |
|
| outgoing | boolean |
None. |
|
| application | integer |
None. |
|
| enabled | boolean |
None. |
|
| actions | Collection of actionViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": 1,
"sortIndex": 2,
"label": "sample string 3",
"incoming": true,
"outgoing": true,
"application": 6,
"enabled": true,
"actions": [
{
"$id": "2",
"id": 1,
"operator": 2,
"task": 3,
"incoming": {
"$id": "3"
},
"outgoing": {
"$id": "4"
},
"actionTimes": {
"$id": "5"
}
},
{
"$ref": "2"
}
]
},
{
"$ref": "1"
}
]